interface Settings {
    autoSlippage: boolean;
    maxSlippage: number | undefined;
    transactionTtl: number | undefined;
    mockTogglable: boolean;
    clientSideRouter: boolean;
}
export declare const settingsAtom: import("jotai").WritableAtom<Settings, Settings | typeof import("jotai/utils").RESET | ((prev: Settings) => Settings | typeof import("jotai/utils").RESET), void>;
export declare const autoSlippageAtom: import("jotai").WritableAtom<boolean, boolean, void>;
export declare const maxSlippageAtom: import("jotai").WritableAtom<number | undefined, number | undefined, void>;
export declare const transactionTtlAtom: import("jotai").WritableAtom<number | undefined, number | undefined, void>;
export declare const mockTogglableAtom: import("jotai").WritableAtom<boolean, unknown, void>;
export declare const clientSideRouterAtom: import("jotai").WritableAtom<boolean, boolean, void>;
export {};
